summaryrefslogtreecommitdiffstats
path: root/bin/comics/smbc
diff options
context:
space:
mode:
Diffstat (limited to 'bin/comics/smbc')
-rwxr-xr-xbin/comics/smbc27
1 files changed, 27 insertions, 0 deletions
diff --git a/bin/comics/smbc b/bin/comics/smbc
new file mode 100755
index 0000000..a83e242
--- /dev/null
+++ b/bin/comics/smbc
@@ -0,0 +1,27 @@
+#!/bin/bash
+
+if [ -z "$1" -o ! -d "$1" ]; then
+ echo "Usage: $0 <top-directory> [<days ago>]" 1>&2
+ exit 1
+fi
+
+top="${1}"
+shift
+
+source "${top}/etc/settings.sh"
+tmp="$(mktemp -d)"
+cd "${tmp}"
+
+export LANG=C
+export LC_ALL=C
+export LC_TIME=C
+
+wget ${wget_args} -O "$day.png" "http://www.smbc-comics.com/comics/`date -d "$daysago days ago 00:00:00" +%Y%m%d`.png"
+
+if [ -s "${day}.png" ]; then
+ mv ${day}.png "${image_dir}/$day.png"
+ rm -f "${comic_dir}/latest.png"
+ ln -s "${image_offset}/$day.png" "${comic_dir}/latest.png"
+fi
+
+rm -rf "${tmp}"